Bug 475444 - Can't shutdown or restart any more; only "logout" is available
Can't shutdown or restart any more; only "logout" is available
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: ConsoleKit (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
: 476065 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-09 03:57 EST by Mary Ellen Foster
Modified: 2015-01-14 18:22 EST (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 12:10:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mary Ellen Foster 2008-12-09 03:57:34 EST
Description of problem:
If I try any of the various ways to "leave" KDE, the only option that comes up on the "are you sure" box is "Leave" -- there's no "Shutdown" or "Restart" any more. Those choices are also gone from the kickstart menu too.

I'm filing this against kdebase-workspace because that's where the problem exhibits itself. This is almost certainly the wrong component, though, as the version I'm listing below was actually installed a while ago and I only started noticing this yesterday. I did a *lot* of updates yesterday and I'm not sure which one to suspect, though.


Version-Release number of selected component (if applicable):
kdebase-workspace-4.1.2-14.fc10.i386

How reproducible:
Every time

Steps to Reproduce:
1. Try to shut down
  
Actual results:
No option available
Comment 1 Rex Dieter 2008-12-09 07:02:44 EST
Are you using kdm or gdm DESKTOPMANAGER?
Comment 2 Mary Ellen Foster 2008-12-09 07:10:06 EST
I'm using GDM.

(Note that, in the meantime, I've upgraded to the KDE 4.2 Beta packages from kde-redhat ... I saw this before the upgrade and I continue to see it after, though. I can downgrade if necessary.)
Comment 3 Mary Ellen Foster 2008-12-09 07:19:46 EST
Also, according to my yum.log, I installed the newest GDM (gdm-2.24.1-2.fc10.i386) yesterday, right before I started noticing this; prior to that, I was using gdm-2.24.0-12.fc10.i386 and shutdown worked fine from KDE. So I'd be suspicious of something that changed in GDM between those versions.
Comment 4 Rex Dieter 2008-12-09 08:52:11 EST
Afaik, shutdown/restart only works when using kdm.
Comment 5 Rex Dieter 2008-12-09 08:53:33 EST
Sry, missed comment #3.

This may be a dbus issue,
rpm -q dbus 
please.

Let's see what the gdm folks have to say.
Comment 6 Mary Ellen Foster 2008-12-09 08:55:43 EST
% rpm -q dbus
dbus-1.2.6-1.fc10.i386
Comment 7 Mary Ellen Foster 2008-12-09 08:57:16 EST
Also, according to my yum.log, this new version of dbus was also installed yesterday; before that, I was running dbus-1.2.4-1.fc10.i386. Sorry I didn't check this before posting the previous comment.
Comment 8 Kevin Kofler 2008-12-09 10:34:25 EST
Support for shutdown/restart when using GDM is added by this patch:
http://cvs.fedoraproject.org/viewvc/rpms/kdebase-workspace/F-10/kdebase-workspace-4.0.72-ck-shutdown.patch?revision=1.1&view=markup

It is actually ConsoleKit handling the shutdown/restart, not GDM itself. Apparently the dbus update is blocking the communication between KDE and ConsoleKit.

(Grrr, yet another issue with that broken update, IMHO the policy change should be reverted.)
Comment 9 Kevin Kofler 2008-12-09 10:45:42 EST
The sender of the messages is ksmserver, it implements the org.kde.ksmserver and org.kde.ksmserver-PID (where PID is the actual numeric PID, e.g. 12345) interfaces. (You may need this to define the permissions.)
Comment 10 Kevin Kofler 2008-12-09 10:47:03 EST
Uh, actually, I mean it registers the org.kde.ksmserver and org.kde.ksmserver-PID names. (Sorry for not using the correct D-Bus terminology.)
Comment 11 Kevin Kofler 2008-12-10 21:28:47 EST
Ping? Any insight from the ConsoleKit side?
Comment 12 Rex Dieter 2008-12-11 14:13:38 EST
*** Bug 476065 has been marked as a duplicate of this bug. ***
Comment 13 Kevin Kofler 2008-12-11 22:37:06 EST
CCing Colin Walters - any chance you can look at what's happening there? This looks like fallout in ConsoleKit caused by the D-Bus security update.
Comment 14 Syam 2008-12-14 21:28:29 EST
Same problem here too. After updates a couple of days back. Had the well known, but unfixed dependency issue with gnome-packagekit. So I had updated that package alone from updates-testing. Apart from that, a usual update.
Comment 15 Dave 2008-12-15 10:00:46 EST
Same problem here also.  I am up to date on all released patches, but problem still exists.
Comment 16 Dave 2008-12-15 10:07:56 EST
(In reply to comment #15)
> Same problem here also.  I am up to date on all released patches, but problem
> still exists.

I am using kdebase-workspace-4.1.3-7.fc10.i386, still have problem.

  -Dave
Comment 17 Mary Ellen Foster 2008-12-15 10:16:36 EST
As far as I know, this problem (and many others :) ) will be fixed in an upcoming dbus update that hasn't made it out yet -- the version of kdebase-workspace is irrelevant.

You can download the pending dbus update from the places mentioned in this mailing-list message:
    https://www.redhat.com/archives/fedora-devel-list/2008-December/msg01445.html
Comment 18 Rex Dieter 2008-12-15 10:23:47 EST
I guess the only workaround we can suggest for now, is to switch to using kdm, easiest way,
yum install system-switch-displaymanager
and use that tool to do the swtich to your displaymanager of choice.
Comment 19 Rex Dieter 2008-12-15 10:34:46 EST
Confirmed (comment #17), upgrading (reverting) to
https://admin.fedoraproject.org/updates/dbus-1.2.4-2.fc10
makes it work for me.
Comment 20 Dave 2008-12-15 10:48:27 EST
(In reply to comment #18)
> I guess the only workaround we can suggest for now, is to switch to using kdm,
> easiest way,
> yum install system-switch-displaymanager
> and use that tool to do the swtich to your displaymanager of choice.

this work-around works well for me.  Thanks rdieter.

   -Dave
Comment 21 Till Maas 2008-12-16 08:36:25 EST
If I run this twice as ordinary user that is logged in via gdm in kde with dbus-1.2.8-1.fc10, then my system shuts down. 

/bin/dbus-send --type=method_call --system --dest=org.freedesktop.ConsoleKit /org/freedesktop/ConsoleKit/Manager org.freedesktop.ConsoleKit.Manager.Stop

Therefore imho it should be probably also possible to do this from kde. Btw. it also works if I remove the --type argument, but then I have to run it twice, too.
Comment 22 Kevin Kofler 2008-12-16 09:04:19 EST
It's not normal that you have to run this twice, once should be enough!

I have no idea why D-Bus blocks the first attempt and not the second.
Comment 23 Christof Kaelin 2008-12-17 15:37:58 EST
The only machine, that does NOT have this behaviour here, is the one with KDM instead of GDM (the only one where I have chosen only KDE first). The rest (D-Bus-versions etc.) is the same.
Comment 24 Ben Boeckel 2008-12-17 15:52:07 EST
I am using KDM and have downgraded dbus to 1.2.4 and I see a similar problem. Instead of logout, I only see Shutdown. I am using the 4.1.85 packages from kde-redhat.
Comment 25 Kevin Kofler 2008-12-17 16:32:47 EST
> Instead of logout, I only see Shutdown.

That's a completely different issue.

> I am using the 4.1.85 packages from kde-redhat.

In KDE 4.2, you only get the option you selected in Kickoff. Make sure you select Logout right away if you want Logout. If you're using the classic menu and only get offered one option, then that's a bug in the classic menu.
Comment 26 Ben Boeckel 2008-12-17 21:02:42 EST
(In reply to comment #25)
> > I am using the 4.1.85 packages from kde-redhat.
> 
> In KDE 4.2, you only get the option you selected in Kickoff. Make sure you
> select Logout right away if you want Logout. If you're using the classic menu
> and only get offered one option, then that's a bug in the classic menu.

I'm using ctrl+alt+del to get the window. I don't use menus, so I don't know how they work.
Comment 27 Steven M. Parrish 2009-01-10 09:13:38 EST
still an issue?
Comment 28 info@kobaltwit.be 2009-01-10 10:11:12 EST
I'm not the original poster, but I cc'ed myself some time ago because I had the same issue with Fedora 10.

One of the updates that have been released afterwards solved the issue for me. Since it's been a while, I'm not sure which update did it.

It's no longer an issue for me.
Comment 29 Kevin Kofler 2009-01-10 13:35:26 EST
The D-Bus revert fixed it.

Someone will need to report the warnings from dbus-1.2.4.4permissive in Rawhide so we can try to fix this for good.
Comment 30 Till Maas 2009-01-10 15:49:26 EST
(In reply to comment #29)
> The D-Bus revert fixed it.

It's more a workaround, because afaik it keeps a security hole open. 

> Someone will need to report the warnings from dbus-1.2.4.4permissive in Rawhide
> so we can try to fix this for good.

What needs to be done for this and where does it need to be reported? Where are there warnings to be found?
Comment 31 Raffaele Candeliere 2009-01-11 05:24:36 EST
I confirm info@kobaltwit.be's comment.
I also updated dbus and now the logout works as expected.
Comment 32 Steven M. Parrish 2009-02-04 12:10:57 EST
Closing this as WORKSFORME as it is no longer an issue, and hopefully DBUS will get its act together.

Note You need to log in before you can comment on or make changes to this bug.